#ifndef _Handle_PGeom2d_Vector_HeaderFile
#define _Handle_PGeom2d_Vector_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PGeom2d_Geometry_HeaderFile
#include <Handle_PGeom2d_Geometry.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PGeom2d_Geometry);
class PGeom2d_Vector;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PGeom2d_Vector);

class Handle(PGeom2d_Vector) : public Handle(PGeom2d_Geometry) {
  public:

    Handle(PGeom2d_Vector)():Handle(PGeom2d_Geometry)() {} 
    Handle(PGeom2d_Vector)(const Handle(PGeom2d_Vector)& aHandle) : Handle(PGeom2d_Geometry)(aHandle) 
     {
     }

    Handle(PGeom2d_Vector)(const PGeom2d_Vector* anItem) : Handle(PGeom2d_Geometry)((PGeom2d_Geometry *)anItem) 
     {
     }

    Handle(PGeom2d_Vector)& operator=(const Handle(PGeom2d_Vector)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PGeom2d_Vector)& operator=(const PGeom2d_Vector* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PGeom2d_Vector* operator->() const 
     {
      return (PGeom2d_Vector *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PGeom2d_Vector) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
